# GetSocial Unity SDK Changelog

## v6.23.4 - Dec 19, 2018

**Fixed:**

+ Fix issues in Unity 2018.3 and newer.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.3 - Dec 10, 2018

**Fixed:**

+ XCode project generation on Windows.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.2 - Dec 5, 2018

**Fixed:**

+ `SetWindowTitle` didn't work for `InvitesViewBuilder` on iOS.
+ Runtime exceptions when running app with GetSocial SDK on non-mobile platforms.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.1 - Nov 22, 2018

**Fixed:**

+ Issue with empty bundle id for notification extension.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.0 - Nov 20, 2018

**New:**

+ You can now send Rich Notifications to your users. [More Info](https://docs.getsocial.im/guides/social-notifications/unity/rich_notifications).
+ Added `MediaAttachment` class.
+ Added options to attach media to `NotificationContent`.

**Fixed:**

+ Issue with reading Android SHA key value on Windows.

**Upgrading:**

We suggest to replace `SetVideo`/`SetImage`/`SetVideoUrl`/`SetImageUrl` methods in `InviteContent.Builder` and `ActivityPostContent.Builder` with `SetMediaAttachment` or similar.

---

## v6.22.2 - Nov 7, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.22.1 - Oct 30, 2018

**Fixed:**

+ Crash in Unity Editor for Android platform.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.22.0 - Oct 29, 2018

**New:**

+ Send end-to-end Push Notifications directly from SDK to another users. [Read more...](https://docs.getsocial.im/guides/social-notifications/unity/#send-notification).
+ Support full screen mode in GetSocial UI. [Read more...](https://docs.getsocial.im/knowledge-base/sdk-ui/customization/json-reference/#specifying-fullscreen-window)
+ Support for clickable URL's for posts created from GetSocial Dashboard.

**Fixed:**

+ Issue with not properly working `fade-and-scale` window animation style.
+ Issue with incorrect order of fields in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.1 - Oct 11, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.0 - Oct 3, 2018

**New:**

+ Added `GetSocial.SetUserDetails( )` method for bulk update for user details. [Read more...](https://docs.getsocial.im/guides/user-management/unity/get-set-user-properties/#batch-properties-update).

**Fixed:**

+ Issue when Unity player is set to Android or iOS and pressed play button in Unity Editor.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.7 - Sep 10, 2018

**New:**

+ Sharing on Facebook is now possible without adding Facebook SDK.

**Fixed:**

+ Issue with not correctly placed no network icon on iOS.
+ Issue with deleted comments on iOS


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.6 - Aug 28, 2018

**Fixed:**

+ Some kind of notifications was not automatically marked as read after user clicked on it.
+ Few memory leaks on iOS.
+ Status bar was sometimes shown on iPads with specific configuration.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.5 - Aug 14, 2018

**New:**

+ Added `GetSocial.CreateInviteLink()` method for invite link creation.

**Fixed:**

+ `onComplete` callback of `GetSocial.SendInvite` or `GetSocialUi.CreateInvitesView` is now fired when user gets back to the application after sending the invite.
+ Issue with Android manifest helper, which caused warning messages like `im.getsocial.sdk.invites.MultipleInstallReferrerReceiver is not declared in AndroidManifest.xml`.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.4 - Aug 2, 2018

**Fixed:**

+ Regression issue on Unity 2018.2 JNI bridge causing app crashes.
+ Issue when calling `GetReferredUsers` method.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.3 - Jul 31, 2018

**Fixed:**

+ Removed error when keys starting with `$` were added to `LinkParams`.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.2 - Jul 19, 2018

**Fixed:**

+ Rare crash on app start if internet connection is bad on Android.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.1 - Jul 18, 2018

**Fixed:**

+ Crash with `LocaleChangeReceiver` on Android.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.0 - Jul 16, 2018

**New:**

+ Added support of `targetSdkVersion = 26` for Push Notifications on Android. [Read how to have GetSocial notifications in the separate channel](https://docs.getsocial.im/guides/social-notifications/unity/#customize-notifications-channel).
+ Fix Associated Domains and APNS settings issues in entitlements file on iOS.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.19.2 - Jul 8, 2018

**New:**

+ Fix iOS build caused by missing symbols.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.19.1 - Jul 6, 2018

**New:**

+ Share videos in Smart Invites and Activity Feeds

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.18.0 - May 21, 2018

**New:**

+ Query all the GetSocial notifications that were sent to user. [Read more...](https://docs.getsocial.im/guides/social-notifications/unity/#get-notifications)
+ Add `SetPushNotificationsEnabled` and `IsPushNotificationsEnabled` methods.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.1 - May 10, 2018

**Improved:**

+ Fix issue with old referral data if app was in background on iOS.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.0 - Apr 16, 2018

**New:**

+ Now GetSocial notifications can be shown even if app is in foreground. [Read more...](https://docs.getsocial.im/guides/social-notifications/unity/#show-notifications-in-foreground). 
+ Added Push Notification actions to open the Smart Invites View and open URL. Read how to send notifications with new actions from the dashboard [here](https://docs.getsocial.im/guides/smart-targeting/send-notification/#action).

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.16.1 - Mar 28, 2018

**New:**

+ Landing page customization. [Read more...](https://docs.getsocial.im/guides/smart-links/customize-landing-page/unity/)

**Fixed:**

+ Fixed `Invalid Bundle - Disallowed LLVM instrumentation` error while submitting to the AppStore. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.4 - Mar 20, 2018

**New:**

+ Add the `SetCommentId:` method to the `ActivityDetailsViewBuilder` class.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.3 - Mar 12, 2018

**New:**

+ Overall application improvements.
+ Added support for Viber and Telegram to Smart Invites

**Fixed:**

+ Fixed rare Null Pointer Exception on some old Android devices

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.2 - Mar 5, 2018

**New:**

+ The `GetSocial Unity SDK` is now automatically updates your `AndroidManifest.xml` file - say "NO!" to `Regenerate Manifest` button! And no more bugs when you forget to press it.
+ Also, we removed GetSocial native libraries from distributed `.unitypackage`. For you it means, that you can remove `Assets/GetSocial/Plugins/` from the source control, plugin will ensure automatically that you always have native libs before the build.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.1 - Feb 12, 2018

**Fixed:**

+ Issue when trying to send a custom invite without image on Android.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.0 - Jan 29, 2018

**New:**

+ We replaced `NotificationActionListener` with `NotificationListener` delegate, it is more flexible and allows you to handle notifications even if app is in foreground.

**Upgrading:**

`GetSocial.SetNotificationActionListener(...)` becomes `GetSocial.SetNotificationListener(...)`, `NotificationActionListener` becomes `NotificationListener` and changed its signature. Read more in the [documentation](http://docs.getsocial.im/guides/social-notifications/unity/#notification-listener).

---

## v6.14.0 - Jan 15, 2018

**New:**

+ Facebook share plugin. [Read more...](https://docs.getsocial.im/guides/smart-invites/channels/setup-unity/#setup-integration-with-facebook-sdk).

**Fixed:**

+ Issue calling `ReportActivity` with `InappropriateContent` reason.

**Upgrading:**

If you're using `FacebookInvitePlugin`, replace it with [FacebookSharePlugin](https://github.com/getsocial-im/getsocial-unity-sdk/tree/master/plugins).

---

## v6.13.1 - Jan 2, 2018

**Fixed:**

+ We fixed occasional `EXC_BAD_ACCESS` crash on iOS.

+**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.13.0 - Dec 19, 2017

**Improved:**

+ Improved GetSocial Unity Editor plugin behaviour when one of the platforms is disabled on the Dashboard.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.12.0 - Dec 6, 2017

**New:**

+ App mentions. Now users can mention app in the Activity Feed. Community manager will receive notification on the GetSocial Dashboard.
+ New methods to manage social relationships. [Read mode...](https://docs.getsocial.im/guides/social-graph/unity/building-social-graph-relationships/).

**Fixed:**

+ Error in `JavaInterfaceProxy` on Unity 2017.1 and above.
+ Fixed crash on iOS 11 when Smart Invite was shared via Slack.
+ Fixed missing annotations package issue on devices running on Android 16 and below.

**Upgrading:**

If you were using `SetMentionClickListener`, keep in mind that starting from SDK v6.12.0 you can receive user id or string "app", which means that mention of the app was clicked. [Read more...](https://docs.getsocial.im/guides/activity-feed/unity/posts/#post-activity-with-mentions).

---

## v6.11.2 - Nov 20, 2017

**Improved:**

+ Fixed minor issues with video playback in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.1  - Nov 9, 2017

**Fixed:**

+ Fixed minor issues in Activity Feeds.
+ Fixed interference with other frameworks like Firebase.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.0 - Nov 6, 2017

**New:**

+ Added mentions feature. Now users can mentions each other with typing `@` symbol while posting Activity Post. To listen for mention click use `SetMentionClickListener` in `ActivityFeedViewBuilder`. Read [how to mention user using GetSocial Data SDK](http://docs.getsocial.im/guides/activity-feed/unity/posts#post-activity-with-mentions).
+ Now you can initialize GetSocial SDK with dynamic app ID using `GetSocial.Init(string appId)`.
+ Added method to reset current user and create new anonymous one. Use `GetSocial.User.Reset(Action onSuccess, Action<GetSocialError> onError)`.
+ Activity Feed now supports videos posted from Dashboard.

**Fixed:**

+ Removed compilation warnings when building for Windows/Max/Linux.
+ Fixed status bar visibility issue on iPad.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.2 - Oct 20, 2017

**Fixed:**

+ Fixed App Links issue on Android.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.1 - Oct 19, 2017

**Fixed:**

+ We have fixed compile warnings caused by our SDK.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.0 - Oct 18, 2017

**New:**

+ Added `getReferredUsers()` method to get list of invited users who installed the app.
+ Expose API to initialize SDK manually. [Documentation](http://docs.getsocial.im/guides/knowledge-base/unity/manual-initialization/).

**Improved:**

+ Decreased `getsocial-core` Android library size by ~80 methods.
+ Decreased `getsocial-ui` Android library size by ~120 methods.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.1 - Oct 12, 2017

**Improved:**

+ We moved our API from custom ports to common `443`, so if you have some corporate firewall you will be able to use SDK as well.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.0 - Oct 3, 2017

**New:**

+ Brand new GetSocial Unity Editor Plugin. Now just add your GetSocial App Id in the plugin, we will automatically get your app configuration from the GetSocial Dashboard and update your Unity project.
+ Display an activity feed with posts of your friends and your own using `SetShowFriendsFeed(bool showFriendsFeed)` of `ActivityFeedViewBuilder`. [Documentation](http://docs.getsocial.im/guides/activity-feed/unity/posts/#friends-feed-view).
+ Get a list of activities of your friends and your own using `FriendsFeed(bool isFriendsFeed)` of `ActivitiesQuery`. [Documentation](http://docs.getsocial.im/guides/activity-feed/unity/posts/#friends-feed).

**Fixed:**

+ We have fixed `SDK Security` feature  on Android to generate valid security hash, before it was not the same as `keytool` generates.

**Improved:**

+ Decreased `getsocial-core` Android library size by ~80 methods.

**Upgrading:**

If you were using `SDK Security` feature on Android, you have to get your hash and upload it to the Dashboard. [Documentation](http://docs.getsocial.im/knowledge-base/sdk-security/).
You can leave old hash in the list to keep previous version compatible.

---

## v6.8.0 - Sep 20, 2017

**New:**

+ Introduced `gif` and `mp4` support for Smart Invites. Check out the supported invite channels in [docs](https://docs.getsocial.im/guides/smart-invites/introduction/). 

**Improved:**

+ Android: Decreased underlying `getsocial-core` library size by ~1200 methods to 4300 methods. 
+ Android: Set up additional automated test suits to validate analytics events. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.7.0 - Sep 5, 2017

**New:**

+ Android: introduced `MultipleInstallReferrerReceiver` to re-broadcast INSTALL_REFERRER intent to all receivers. No actions required on your side, upgrade will happen automatically.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.1 - Aug 22, 2017

**New:**

+ Added `IsGuaranteedMatch` flag to the `ReferralData` to indicate certainty that data correspond to the user.  

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.0 - Aug 1, 2017

**New:**

+ Activity Feed view for specific user using `SetFilterByUser(string userId)` of `ActivityFeedViewBuilder`.
+ Read-only Activity Feed view using `SetReadOnly(bool readOnly)` of `ActivityFeedViewBuilder`.
+ Query activity feed posts or comments for specific user using `FilterByUser(string userId)` of `ActivitiesQuery`.
+ Method `GetSocial.User.SetAvatar(Texture2D avatarImage, Action onSuccess, Action<GetSocialError> onFailure)`, so now you can set image directly as user avatar image, not only from URL.
+ Added dark and white UI themes to the demo app. 
+ Security improvements: [Documentation](http://docs.getsocial.im/knowledge-base/sdk-security/)

**Fixed:**

+ iOS: fixed orientation change issue when app supports only landscape or portrait mode.
+ iOS: fixed always failing CommentsForPost activity feed query.
+ Android: fixed auto initialization when no visual elements of the app were presented, for instance when push notification arrived. Fixed incorrect DAU numbers on the GetSocial Dashboard.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.5.0 - Jul 13, 2017

**New:**

+ Added support for Android App Links.
+ Added sample landscape UI configuration to the demo app.
+ Content Reporting in Activity Feeds. [Documentation](https://docs.getsocial.im/guides/activity-feed/reporting-content/)
+ Smart Links support. [Documentation](http://docs.getsocial.im/guides/smart-links/introduction/)

**Fixed:**

+ iOS: Not used architectures (like x86_64 ) will be removed when building `Release` configuration.
+ Issue when Push Notifications callback was not invoked on the application cold start.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.4.0 - Jun 26, 2017

**New:**

+ Added Suggested Friends functionality. You can use it with `GetSocial.User.GetSuggestedFriends()` method. Read more in [documentation](http://docs.getsocial.im/guides/social-graph/unity/querying-social-graph/#suggested-friends).
+ Added "UI Configuration File" input in GetSocial Settings. Now you can enter path to default UI configuration file instead of loading it dynamically in code. [Documentation](http://docs.getsocial.im/knowledge-base/sdk-ui/unity/#load-ui-configuration)
+ Added Public properties functionality to `PublicUser` entity. Now you can read properties of other users.
+ Added methods `AllPublicProperties` and `AllPrivateProperties` to get all user properties as `Dictionary`.

**Improved:**

+ Moved native plugins inside `Assets/GetSocial/` folder to simplify SDK update process.
+ Automatically update meta-data in `AndroidManifest.xml` and `info.plist` after updates to GetSocial Settings.
+ Android: reduced `getsocial-core.aar` size from 1.1 Mb to 0.8 Mb. And reduced method count from 5644 to 4510.

**Fixed:**

+ Issues with subject while sending Smart Invite via Native Share.
+ Android: collision errors with Json Simple library. 

**Upgrading:**

[Default Upgrade Guide](http://docs.getsocial.im/libraries/unity/upgrade/) was updated, please, check it again.

Before the update:

+ Remove `Assets/Plugins/iOS/GetSocial` directory with its content. 
+ Remove `Assets/Plugins/Android/getsocial-library.aar` and `Assets/Plugins/Android/getsocial-ui.aar`.

After updating GetSocial SDK to 6.4.0 you have to select "Replace" mode (not "Append") during iOS build. We've updated the location of GetSocial Framework in generated Xcode project, "Replace" mode will prevent from including framework twice.

---

## v6.3.0 - Jun 12, 2017

**New:**

+ Now you can disable image attachment to Smart Invites from Dashboard. Useful to avoid charges for sending MMS instead of SMS.
+ Method `GetUserById`, you can retrieve `PublicUser` entity having only user ID.

**Fixed:**

+ Android: Fixed randomly reproducible crashes related to changing UI on non-main threads.
+ Android: Fixed possible `OutOfMemoryException` crashes.
+ Android: Fixed `NullPointerException` in install receiver if no token was passed.
+ Android: Fixed resource packaging when building Unity from Windows OS.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.2.0 - May 29, 2017

**New:**

+ Added `ActivityDetailsView`, now you can open activity comments from code.
+ Added `WhenInitialized` method to be able to execute any action right after SDK is initialized.
+ Added `setAvatarClickListener` method to `ActivityFeedView` and `ActivityDetailsView`. You can use this method to get notified if a user clicked on a user's avatar.
+ Added `Image` property to `InviteContent.Builder` to set invite image using binaries.
+ Facebook and Kakao plugins share image as well in Smart Invites.

**Fixed:**

+ Fixed issues with full screen activity.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.1.2 - May 19, 2017

**Fixed:**

+ Fixed name collisions with other SDKs in iOS build.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.1.1 - May 18, 2017

**Fixed**:

+ Fixed GetSocial Editor errors while copying native libraries.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.1.0 - May 15, 2017

**New:**

+ Added `User Properties` functionality. Now you can store some custom properties for each user. More info in [documentation](http://docs.getsocial.im/guides/user-management/unity/get-set-user-properties/).
+ Added `UiActionListener`, you can set it with `SetUiActionListener()` method of any of `ViewBuilder` children. All possible actions you can find in `UiAction` enum. More info in [documentation](http://docs.getsocial.im/knowledge-base/sdk-ui/unity/#ui-user-actions-handling).


**Updated:**

+ Updated underlying native GetSocial Android SDK version to [6.1.0](/libraries/android/changelog/#v610).
+ Updated underlying native GetSocial iOS SDK version to [6.1.0](/libraries/ios/changelog/#v610).

**Removed:**

+ Removed dependency on `Gson` library on Android. Now SDK adds ~900 methods less.

**Fixed:**

+ Ukrainian and Russian localization for plural nouns.
+ Analytics crash on concurent list modification.
+ Action buttons background issue in landscape mode.
+ GetSocial Views stack is not cleared on iOS 8 devices.
+ GetSocial Views title was trimmed on Android in landscape mode.
+ Invite text missing in Facebook Messenger on Android.
+ No empty view in case there are no activities yet.

**Upgrading:**

We don't depend on `GSON` library anymore in for Android build. To update to GetSocial Unity SDK 6.1.0 follow default upgrade guide. After upgrading ensure that `gson-2.6.2.jar` was removed from the `Assets/Plugins/` folder.  

---

## v6.0.2 - May 2, 2017

**Updated:**

+ Updated underlying native GetSocial Android SDK version to [6.0.3](/libraries/android/changelog/#v603).
+ Updated underlying native GetSocial iOS SDK version to [6.0.3](/libraries/ios/changelog/#v603).

 
**Fixed:**

+ Now `SetWindowTitle()` works for all GetSocial windows.

**Upgrading:**

We don't depend on `Picasso` library anymore in for Android build. To update to GetSocial Unity SDK 6.0.2 follow default upgrade guide. After upgrading ensure that `picasso-2.5.2.jar` was removed from the `Assets/Plugins/` folder.  

---

## v6.0.1 - Apr 24, 2017

**New:**

+ Added compatibility with Unity 5.6.0.
+ Added `ViewBuilder.SetViewStateCallbacks(Action onOpen, Action onClose)` method to get callbacks when GetSocial View is opened and closed.

**Updated:**

+ Updated underlying native GetSocial Android SDK version to [6.0.2](/libraries/android/changelog/#v602).
+ Updated underlying native GetSocial iOS SDK version to [6.0.2](/libraries/ios/changelog/#v602).

**Fixed:**

+ Fixed error in GetSocial Editor on Unity version before 5.5.0.
+ Cleaned up API compatibility warnings in the Unity Editor.

**Upgrading:**

Method `ActivityFeedViewBuilder.WithButtonActionListener` was renamed to `SetButtonActionListener`. Please follow default upgrade guide and update you code with new method signatures.


---

## v6.0.0 - Apr 13, 2017

GetSocial SDK version 6 is a major update that brings a lot of improvements, new features and breaking changes. Follow the guide below to learn about what changed and how to upgrade to SDK v6.

### Important Changes



**New:**

+ **Data API**. With GetSocial's Data API developers can now access the data layer of all our features breaking dependency on our UI and giving them more flexibility.
+ **Dynamic Activity Feeds**. Developers can now create activity feeds on the fly. They can have a feed per clan, per fraction, per geo, or even level specific.
+ **Sticky activities are now Announcements**. Developers can now post multiple announcements (announcements are always pinned on top) expiring at different time periods. All their announcements are accessible from one convenient location and can be rescheduled even after they expire.
+ **Auto-initialization**. Integration just got easier, SDK will automatically initialize with your app, no need to take care of that.


**Updated:**

+ **Simplified API**. We, at GetSocial, strive to provide the best integration experience. To achive this we had to rework our public API from scratch, it become easier to use and understand. It won't be possible without breaking changes, **GetSocial SDK version 6 is not backward compatible with SDK version 5.

**Removed:**


### Upgrading 

GetSocial SDK v6 is not backward compatible. The easiest way to upgrade is to remove GetSocial SDK v5 from your project and start with a fresh integration. Detailed steps below: 

1. Contact us at support@getsocial.im or via the support channel in our Dashboard to do the manual migration of your app to the new Dashboard.

1. Remove GetSocial SDK v5 from your project:
    2.1. In your Unity project remove `Assets/GetSocial/` and `Assets/StreamingAssets/getsocial/` folders.
    2.2. Comment out all usages of GetSocial SDK in the code to avoid compilation errors.

1. Follow [Getting Started Guide](/guides/getting-started/unity/) to integrate GetSocial Unity SDK v6.
1. Update commented GetSocial API method calls according to the mapping below. 

### Method Mappings

In SDK v6 almost all methods are static and all returned objects immutable. For instance, in SDK v5 to get user name you had to call:
  
    var name = GetSocial.Instance.CurrentUser.DisplayName;

In SDK v6 you have to call static method:

    var name = GetSocial.User.DisplayName; 


**Initialization**

All initialization related methods in the SDK v5 were invoked on the GetSocial instance: `GetSocial.Instanse`.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `Init(...)` | SDK is auto-initialized now, details in [Getting Started Guide](/guides/getting-started/unity/). |
| `IsInitialized` property | `GetSocial.IsInitialized` |


**User Management**

All user management methods in SDK v5 were called on the instance of the `CurrentUser` object, e.g. `GetSocial.Instance.CurrentUser.DisplayName`. In SDK v6 it is not possible to get `CurrentUser` object, instead you can get separate properties via static methods exposed via `GetSocial.User`. Learn more in [Introduction to GetSocial User Management](/guides/user-management/introduction/) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `Guid`                      | `GetSocial.User.Id` |
| `IsAnonymous`               | `GetSocial.User.IsAnonymous` |
| `DisplayName`               | `GetSocial.User.AuthIdentities` |
| `SetDisplayName(...)`       | `GetSocial.User.SetDisplayName(...)` |
| `AvatarUrl`                 | `GetSocial.User.AvatarUrl` |
| `SetAvatarUrl(...)`         | `GetSocial.User.SetAvatarUrl(...)` |
| `Identities`                | `GetSocial.User.AuthIdentities` |
| `HasIdentityForProvider(providerId)` | `GetSocial.User.AuthIdentities.ContainsKey(providerId)` |
| `GetIdForProvider(providerId)`| `GetSocial.User.AuthIdentities[providerId]` |
| `AddUserIdentity(...)`        | `GetSocial.User.AddAuthIdentity(...)` |
| `RemoveUserIdentity(...)`     | `GetSocial.User.RemoveAuthIdentity(...)` |
| `FollowUser(...)`             | `GetSocial.User.AddFriend(...)` |
| `UnfollowUser(...)`           | `GetSocial.User.RemoveFriend(...)` |
| `GetFollowing(...)` <br/> `GetFollowers(...)` | Following and followers become a one concept - friends, e.g. `GetSocial.User.GetFriends()` |
| `Reset(...)`                  | Removed |



**Smart Invites**

In SDK v6 Invite Provides were renamed to Invite Channels. Moreover, in v6 referral data retrieval is implemented in pull mode, that means that you have to ask for data instead of listening when it will arrive. Learn more in [Sending and Receiving Referral Data](/guides/smart-links/receive-smart-links/unity/#retrieve-referral-data) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `RegisterPlugin(...)` | `GetSocial.RegisterInviteChannelPlugin(...)` |
| `GetSupportedInviteProviders()` | `GetSocial.InviteChannels` |
| `InviteFriendsUsingProvider(...)` and `SetOnInviteFriendsListener(...)` were merged | `GetSocial.SendInvite(...)` |
| `SetOnReferralDataReceivedListener(...)` | `GetSocial.GetReferralData(...)`|


**Activity Feed**

In SDK v6 it is possible to create Activity Feed dynamically from the SDK. If feed does not exist it will be created dynamically. Learn more in [Introduction to GetSocial Activity Feeds](/guides/activity-feed/introduction/). 

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `PostActivity(...)` | `GetSocial.PostActivityToFeed(...)` and `GetSocial.	PostActivityToGlobalFeed(...)` |


**UI**

In SDK v6 UI configuration API from code was removed, use JSON file instead. JSON files from SDK v5 are backward compatible with SDK v6. Learn more about [UI Customization](/knowledge-base/sdk-ui/customization/introduction/).  

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `Configuration.SetConfiguration(...)` | `GetSocialUi.LoadConfiguration()` and `GetSocialUi.LoadDefaultConfiguration(...)`|
| `setOnWindowStateChangeListener(...)` | `GetSocialUi.CreateInvitesView().SetViewStateCallbacks(...)` |
| `CloseView(...)` | `GetSocialUi.CloseView(...)` |
| `RestoreView()` | `GetSocialUi.RestoreView()` |
| `CreateSmartInviteView()` | `GetSocialUi.CreateInvitesView()` |
| `CreateActivitiesView()` | `GetSocialUi.CreateActivityFeedView()` |
| `SetOnActivityActionClickListener()` | `GetSocialUi.CreateActivityFeedView(...).SetButtonActionListener(...)` |
| `CreateUserListView()` | Removed |
| `SetOnInviteButtonClickListener(...)` | Removed |
| `CreateNotificationsView()` | Removed |
| `SetOnUserAvatarClickListener(...)` | Removed |
| `SetOnAppAvatarClickListener(...)` | Removed |
| `SetOnUnreadNotificationsCountChangeListener(...)` | Removed |
| `UnreadNotificationsCount` property | Removed |
| `SetOnUserGeneratedContentListener(...)` | Removed |

**Other**

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `SetLanguage("uk")` | `GetSocial.SetLanguage(LanguageCodes.Ukrainian)` |
| `NativeSdkVersion` property | `GetSocial.NativeSdkVersion` |
| `UnitySdkVersion` property | `GetSocial.UnitySdkVersion` |


!!! tip "Can't figure our correct mapping?"
    Feel free to reach us at support@getsocial.im or via the support channel in our Dashboard if you need any help with the migration.
---

## Older Versions

Changelog for older versions of GetSocial Android SDK is available on [GitHub Releases](https://github.com/getsocial-im/getsocial-unity-sdk/releases?after=v6.0.0).
